#ifndef CHIP_CLK_IDS_H
#define CHIP_CLK_IDS_H

#include "chip_std_defs.h"


/* Номера идентификаторов различных клоков, которые могут использоваться в качестве
 * источников.
 * Номера используются исключительно для уникальной идентификации
 * для сравнения настроек, сами номера должны быть уникальные,
 * но не связаны с какими-либо значениеми самого контроллера.
 * В настройках источников сигнала используются значения без суффикса _ID,
 * а уже по этомим значениям с помощью макросов CHIP_CLK_ID_VAL получается
 * ID из таблицы. Это позволяет также по определению получить параметры выбранной
 * частоты с помощью CHIP_CLK_ID_EN() и CHIP_CLK_ID_FREQ() */
#define CHIP_CLK_HFRC_ID             1
#define CHIP_CLK_LFRC_ID             2
#define CHIP_CLK_OSC_ID              3
#define CHIP_CLK_HFRC_DIV16_ID       4

#endif // CHIP_CLK_IDS_H
